<?
$kategorie = 'O18';
#$kategorie = 'U18';
?>
<h2>Kontoauszuege per E-Mail, Kategorie <?=$kategorie?></h2>
<hr/>
<?
/* Create files, open csv */
$auszugname=time()."_email_$kategorie";
$dirname = "$exportpath/kontoauszug/$auszugname";
mkdir($dirname) or error("can't create directory '$dirname'");
$filename = "$dirname/uid-email-ansprache.csv";
$csvhandle = fopen($filename, 'w') or error ("can't open file '$filename'");

/* counter */
$x = 0;

foreach($userIds as $userId) {
    $x++;
    // if ($DEBUG && ($x > 20)) { break; }

    /* User-Datensätze lesen */
    $user = new user(0,$userId);
    $konto = new konto($userId);
    $invalidpoints = $konto->calcinvalidatenext($endDate);
     /* Kontostände und Punkteverfall */
    /* Erster Saldo am Ende des vorigen Monats (Start: 01.04 -> Saldo 31.03) */
    $saldoDate1 = date('Y-m-d',strtotime('1 days ago',strtotime($startDate)));
    $Milesstart = $konto->getSaldo($saldoDate1);
    $Milesend = $konto->getSaldo($endDate);
    $Verfall1 = $invalidpoints[0];
    $Verfall2 = $invalidpoints[1];
  $Verfall3 = $invalidpoints[2];

    // Generate PDF
    /* Unterschiede zwischen den drei Kontoauszuegen */
    /* ---------------------------- */
    if ($kategorie=='O18') {
        $HeadlineAM = 'Healthmiles Kontoauszug für '.$user->name.', '.
            $user->vorname.' - Versicherungsnummer '.$user->versnummer;
        $Headline = 'Neues aus dem Bonusprogramm Healthmiles';
        $FTZ0 = 'Sehr geehrte';
        $FTZ0 .= ($user->anrede=='Herrn')?'r Herr ':' Frau ';
        $FTZ0 .= ($user->titel=='')?'':$user->titel.' ';
        $FTZ0 .= $user->name;
        $emailanredezeile = $FTZ0;

        $FTZ1 = ",\n\nSie erhalten hiermit Ihren aktuellen Healthmiles Kontoauszug.\n\nMöchten Sie zukünftig Ihren Healthmiles Kontoauszug per E-Mail erhalten, teilen Sie uns dies bitte telefonisch unter 0800 / 600 22 22 gebührenfrei mit oder senden uns eine E-Mail an securvita@healthmiles.de.\n\nZusätzlich liegt diesem Schreiben der neue SECURVITA Newsletter bei, dieser informiert Sie schnell und informativ über wichtige Neuigkeiten rund um die SECURVITA.\n\nWir haben das Healthmiles Prämienprogramm für Sie aktualisiert. Am besten schauen Sie gleich rein unter www.healthmiles.de.\n\nWir wünschen Ihnen gesunde und aktive Wintermonate.\n\nMit freundlichen Grüßen\nBonusprogramm Healthmiles\n\n";
        $FTZ0 .= $FTZ1;
        $HMKontoStandLabel = ' Healthmiles Kontostand zum ';
        $Verfalllabel = ' Healthmiles verfallen zum ';
        $Subject="Ihr Healthmiles Kontoauszug vom $endDate";
        $Title='Healthmiles Kontoauszug vom $endDate für ' . $user->name . 
            ', ' . $user->vorname;
    }
    /* ---------------------------- */
    $Author='SECURVITA Healthmiles';

    $AbsenderFenster = 'SECURVITA Healthmiles · Postfach 10 55 09 · 20038 Hamburg';
    $Absender = "SECURVITA Healthmiles\nPostfach 10 55 09\n
20038 Hamburg\n\n
Internet: www.healthmiles.de\n
E-Mail: securvita@healthmiles.de\n
Telefax: 040/38 60 80 90";
    $Label_DateVersnr = 'Datum:\nVersicherungsnummer:';

    $Signaturetext = 'Kathrin Henkel';

  
    $Datumstart = date("d.m.Y",strtotime($startDate));
    $Datumend = date("d.m.Y",strtotime($endDate));
    $PeriodAM = "Zeitraum: $Datumstart bis $Datumend";

    /* Ersten des nächsten und übernächsten Monats berechnen */
    List($year,$month,$day) = explode('-', $endDate);
    $refDate = "$year-$month-15";
    $VerfallDatum1 = date('01.m.Y',strtotime('+1 months',strtotime($refDate)));
    $VerfallDatum2 = date('01.m.Y',strtotime('+2 months',strtotime($refDate)));
    $VerfallDatum3 = date('01.m.Y',strtotime('+3 months',strtotime($refDate)));

    $pdf=new FPDF('P','cm','A4');
    /* FALSE in Textparametern meint kein UTF8, aendern fuer UTF8 Ausgaben aus der DB? */
    $pdf->SetAuthor($Author, FALSE) ;
    $pdf->SetSubject($Subject, FALSE) ;
    $pdf->SetTitle($Title, FALSE) ;
    $pdf->SetDisplayMode('fullwidth', 'continuous') ;

    $pdf->SetMargins(2.2, 5, 2.5);
    $pdf->SetAutoPageBreak(TRUE,3);
    $pdf->SetFont('Arial','',10);
    $pdf->AddPage();

    /* Anrede 
       $Adresse = $user->anrede."\n";
       if ($user->titel != '') {$Adresse .= $user->titel." ";}
       $Adresse .= $user->vorname." ".$user->name."\n".
         $user->strasse."\n".$user->plz." ".$user->ort;
       $Data_DateVersnr = $monatsarray[date("n")-1]." ".
         date("Y")."\n".$user->versnummer;
     */

    /* AbsenderFenster
       $pdf->SetFont('Arial','',6);
       $pdf->SetXY(2.3, 4.6);
       $pdf->Cell(8, 0, $AbsenderFenster, 0, 0, 'L');
     */

    /* Absender
       $pdf->SetFont('Arial','',8);
       $pdf->SetXY(15.2, 4.5);
       $pdf->MultiCell(8, 0.4, $Absender, 0, 'L', FALSE);
     */

    /* Adressfeld
       $pdf->SetFont('Arial','',10);
       $pdf->SetXY(2.3, 5);
       $pdf->MultiCell(7.0, 0.42, $Adresse, 0, 'L', FALSE);
     */

    /* Datum, Versicherungsnummer - Label
       $pdf->SetXY(13.2,9.2);
       $pdf->MultiCell(4, 0.36, $Label_DateVersnr, 0, 'L', FALSE);
     */

    /* Datum, Versicherungsnummer - Daten
       $pdf->SetXY(16.6,9.2);
       $pdf->MultiCell(3.04, 0.36, $Data_DateVersnr, 0, 'R', FALSE);
     */

    /* Headline
       $pdf->SetXY(2.2,10.3);
       $pdf->SetFont('','B');
       $pdf->Write(0.36,$Headline);
     */

    /* Fliesstext1
       $pdf->SetXY(2.2,11.5);
       $pdf->SetFont('','');
       $pdf->Write(0.4,$FTZ0);
     */

    /* Unterschrift
       $pdf->image("fpdf-stuff/unterschrift.jpg", $pdf->GetX(), $pdf->GetY(),7.2,2.2);
     */

    /* Signaturtext
       $pdf->SetXY(2.2,$pdf->GetY()+2.2);
       $pdf->Write(0.4,$Signaturetext);
     */

    /* New page for account movements
       $pdf->AddPage();
     */

    /* Seitenkopf AMs */
    $pdf->SetXY(2.2, 5);
    $pdf->SetFont('','B');
    $pdf->Write(0.4,$HeadlineAM);
    $pdf->SetFont('','');
    $pdf->Write(0.4,"\n".$PeriodAM);

    /* HM Kontostand Box1 */
    $pdf->SetXY(2.3, 6.5);
    $pdf->SetFont('','B',8);
    $pdf->Cell(8.15, 0.5, " ".$HMKontoStandLabel.$Datumstart, 1, 0, 'L');
    /* HM Kontostand Box2 */
    $pdf->SetXY(10.45, 6.5);
    $pdf->SetFont('','B',8);
    $pdf->Cell(8.15, 0.5, $Milesstart ." ", 1, 1, 'R');

    /* Abstand vor Bewegungen */
    $pdf->SetFont('','',8);
    $pdf->Write(0.4,"\n");

  /* Boxen mit Ueberschriften */
  
  $pdf->SetFont('','B',8);
  $pdf->SetLeftMargin(2.3);
  $pdf->Cell(1.7, 0.5, "Buchung", 1, 0, 'L');
  $pdf->Cell(1.7, 0.5, "Erwerb", 1, 0, 'L');
  //$pdf->Cell(10.8, 0.5, "Beschreibung", 1, 0, 'L');
  $pdf->Cell(11.7, 0.5, "Beschreibung", 1, 0, 'L');
  $pdf->Cell(1.2, 0.5, "Punkte", 1, 1, 'R');
  $pdf->SetFont('','',8);
  
  $pdf->SetFillColor(230,230,230);
  
  $AnzahlZeilen = 1;

  $konto->readKontoauszugFiltered($startDate, $endDate);
  foreach ($konto->kontoBewegungen as $kontobewegung) {
    $pdf->Cell(1.7, 0.5, date("d.m.Y", $kontobewegung->datum), 1, 0, 'L', ($AnzahlZeilen % 2 != 0));
    //$pdf->Cell(1.7, 0.5, "99.99.9999", 1, 0, 'L', ($AnzahlZeilen % 2 != 0));
    $pdf->Cell(1.7, 0.5, convertdatefromsql($kontobewegung->datumerwerb), 1, 0, 'L', ($AnzahlZeilen % 2 != 0));
    $beschreibung = trim($kontobewegung->beschreibung);
    if (strlen($beschreibung) > 77) { $beschreibung = substr($beschreibung,0,77)."..."; }
    $pdf->Cell(11.7, 0.5, $beschreibung, 1, 0, 'L', ($AnzahlZeilen % 2 != 0));
    $pdf->Cell(1.2, 0.5, $kontobewegung->wert, 1, 1, 'R', ($AnzahlZeilen % 2 != 0));
    $AnzahlZeilen += 1;  
  }

    /* Abstand nach Bewegungen */
    $pdf->Write(0.4,"\n");

    /* HM Kontostand Box3 */
    $pdf->SetFont('','B');
    $pdf->Cell(8.15, 0.5, " ".$HMKontoStandLabel.$Datumend, 1, 'L', FALSE);
    /* HM Kontostand Box4 */
    $pdf->SetFont('','B');
    $pdf->Cell(8.15, 0.5, $Milesend." ", 1, 1, 'R', FALSE);

    /* Verfall 1 */
    $pdf->SetFont('','B');
    $pdf->Write(0.4,"\n".$Verfall1);
    $pdf->SetFont('','');
    $pdf->Write(0.4,$Verfalllabel.$VerfallDatum1);

    /* Verfall 2 */
    $pdf->SetFont('','B');
    $pdf->Write(0.4,"\n".$Verfall2);
    $pdf->SetFont('','');
    $pdf->Write(0.4,$Verfalllabel.$VerfallDatum2);

  /* Verfall 3 */
  $pdf->SetFont('','B');
  $pdf->Write(0.4,"\n".$Verfall3);
  $pdf->SetFont('','');
  $pdf->Write(0.4,$Verfalllabel.$VerfallDatum3);
  
    $outputname = $dirname."/HM-Kontoauszug-".$user->userId.".pdf";
    $pdf->Output($outputname,"F");

    $csvline = $user->userId.";".$user->email.";".$emailanredezeile."\n";
    fwrite($csvhandle, $csvline);
    print "#$x: $HeadlineAM<br/>\n";
}
fclose($csvhandle);
?>
